/**
 * @function prepareStorage
 * @param {string} storage file path.
 */

'use strict'

const mkdirp = require('mkdirp')
const path = require('path')

/** @lends prepareStorage */
function prepareStorage (storage) {
  if (!storage) {
    return
  }
  mkdirp.sync(path.dirname(storage))
}

module.exports = prepareStorage
