/**
 * Test case for compareByRefs.
 * Runs with mocha.
 */
'use strict'

const compareByRefs = require('../lib/sorting/compare_by_refs.js')
const assert = require('assert')

describe('compare-by-refs', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Compare by refs', (done) => {
    let compare = compareByRefs({
      User: [],
      Profile: [ 'User' ],
      Sign: [ 'User', 'Role' ]
    })
    assert(compare('User', 'Profile') < 0)
    assert(compare('Sign', 'Profile') > 0)
    done()
  })
})

/* global describe, before, after, it */
