'use strict'

const apemandb = require('apemandb')

let db = apemandb({
  env: require('../env')('database'),
  models: `${__dirname}/models/*.json`,
  addons: `${__dirname}/addons/*.addon.js`,
  seeds: `/seeds/${process.env.NODE_ENV}/*.seed.js`
})

// Models are exposed as db.models.<ModelName> (like db.models.User)
module.exports = db
