/**
 * @class TrimConverter
 */
'use strict'

/** @lends TrimConverter */
class TrimConverter {
  constructor (config) {
  }

  convertToGet (value) {
    return TrimConverter.trim(value) || value
  }

  convertToSet (value) {
    return TrimConverter.trim(value) || value
  }
}

Object.assign(TrimConverter, {
  trim (value) {
    if (typeof value === 'string') {
      return value.trim()
    }
    return value
  }
})

module.exports = TrimConverter
