'use strict'

/** @lends deleteEmptyProps */
function deleteEmptyProps (obj) {
  for (let key of Object.keys(obj || {})) {
    let empty = (obj[ key ] === null) || (typeof obj[ key ] === 'undefined')
    if (empty) {
      delete obj[ key ]
    }
  }
  return obj
}

module.exports = deleteEmptyProps
