/**
 * Database for apeman project.
 * @module apemandb
 * @version 8.7.4
 */

'use strict'

const pkg = require('../package.json')
const create = require('./create')
const { Promise } = require('sequelize')
const Apemandb = require('./apemandb')

let lib = create.bind(this)

Object.assign(lib, {
  Apemandb,
  Promise,
  create,
  version: pkg.version
})

module.exports = lib
