/**
 * Test case for jsonConverter.
 * Runs with mocha.
 */
'use strict'

const JsonConverter = require('../lib/converting/json_converter.js')
const assert = require('assert')

describe('json-converter', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Json converter', (done) => {
    let converter = new JsonConverter({})
    assert.ok(converter)
    let setting = converter.convertToSet({
      foo: 'bar'
    })
    assert.equal(setting, '{"foo":"bar"}')
    done()
  })
})

/* global describe, before, after, it */
